KBUILDSYCOCA6(8)

IME
kbuildsycoca6 - Ponovno zgradi konfiguracijski predpomnilnik datotečnega sistema namizja KService

POVZETEK

kbuildsycoca6 [MOŽNOSTI...]

OPIS

kbuildsycoca6 zgradi binarni predpomnilnik podatkov shranjenih v .desktop in vrsti datotek MIME .xml, ki jih ogrodje KService uporablja za iskanje vtičnikov, aplikacij in drugih storitev.

Knjižice KService uporablja to podatkovno bazo, da učinkovito zagotovi informacije, ki so od nje zahtevane.

Uporabnikom ponavadi ni potrebno neposredno zaganjati te aplikacije; če je to potrebno, jo KService zažene sam, ko je spremenjena katerakoli datoteka, katere podatki so v predpomnilniku.

MOŽNOSTI

--global
    Prezre vse datoteke, ki jih je nastavil uporabnik (v XDG_DATA_HOME). Ta lastnost je trenutno podprta le na sistemih UNIX®.

--noincremental
    Namesto da se uporablja obstoječi predpomnilnik in posodablja le informacije, ki so bile spremenjene ali dodane, začni raje s praznim predpomnilnikom. Prezrto, če je nastavljen --global.

--menutest
    Preizkusi generacijo podatkovne baze aplikacijskega menija. Dejansko ne zgradi predpomnilnika.

--testmode
    Uporabi "način testiranja" QStandardPaths, da ne pride do posega v podatke. Namenjeno uporabi s testnimi enotami.

--track id-menija
    Sledi ID menija z namenom razhroščevanja.

--author
    Prikaži informacije o avtorju.

--licence
    Prikaži informacije o licenci.

-h, --help
    Prikaži kratko besedilo pomoči.

-v , --version
    Prikaži informacije o verziji.

DATOTEKE

cachedir/ksycoca6_[lang]_[sha1-of-dirs]
    Predpomnilnik KService je ustvarjen z kbuildsycoca6. Na sistemih UNIX® je cachedir ponavadi XDG_CACHE_HOME.

GLEJ TUDI

kded5(8), kdeinit5(8)

HROŠČI

Prosimo, uporabite KDE-jev sledilnik hroščev[1], da prijavite hrošče.

AUTHORS

Darian Lanx <content@openprojects.net>
    Napisal originalno dokumentacijo.

Alex Merry <alexmerry@kde.org>
    Posodobil dokumentacijo za KDE Frameworks 5.

NOTES

1.  KDE-jev sledilnik hroščev
    https://bugs.kde.org